package it.eng.console.audit.action;

import it.eng.console.audit.bo.ProcessInstanceBO;
import it.eng.spago.base.SessionContainer;
import it.eng.spago.base.SourceBean;

import java.util.List;

public class SubProcessListAction extends ProcessInstanceListFilteredAction {
	private String _stepId = null;
	private String _processInstanceId = null;
	
	public void service(SourceBean serviceRequest, SourceBean serviceResponse)
			throws Exception {
		loadParametersFromRequest(serviceRequest);
		SourceBean processBeanList = new SourceBean("LIST");
		SessionContainer sessionContainer = getRequestContainer().getSessionContainer();
		
		List subProcessList = ProcessInstanceBO.getSubProcessInstanceList(Long.parseLong(_processInstanceId), Long.parseLong(_stepId));
		//create response
		for(Object subprocessInstance : subProcessList) {
			processBeanList.setAttribute(createProcessInstanceBean((List)subprocessInstance, sessionContainer));	
		} 
		serviceResponse.setAttribute(processBeanList);
		
	}
	
	private void loadParametersFromRequest(SourceBean request) {
		_stepId = (String)request.getAttribute("stepId");
		_processInstanceId = (String)request.getAttribute("processInstanceId");
	}

}
