<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"
	language="java"
	extends="it.eng.spago.dispatching.httpchannel.AbstractHttpJspPage"
	import="java.util.List, it.eng.spago.base.SourceBean, it.eng.console.util.Constants,it.eng.spago.message.MessageBundle"
	session="true"
	errorPage="/jsp/spago/jspError.jsp"
%>
<%@ taglib uri="spagotags" prefix="spago"%>
<%@ taglib uri="consoletags" prefix="console"%>

<%@page import="java.math.BigInteger"%><html xmlns="http://www.w3.org/1999/xhtml">
<%@include file="listBase.jsp"%>
<body onload="init();return false;">
<spago:error/>
<script>
	var ajaxObjects = new Array();	
	
	function init(){				
		initTableWidget('myTable',500,450,Array(false,false,false,false,false,false));	
		checkError();
	}
	
	function navigateBindingComponentList(page){
		var url = "<%=docBase%>" + "/BindingComponentListAction.action?PAGE=" + page;
		window.location = url;
	}

	function showMessages(bindingComponentId, type){
		var url = "<%=docBase%>" + "/MessagesListPage.page?savePaginationInfo=TRUE&bcSearch=TRUE&idComponent=" + bindingComponentId + "&type=" + type;
		window.location= url;
	}
</script>
<%			
	List bindingComponentList = getServiceResponse(request).getAttributeAsList("BINDING_COMPONENT_LIST.BINDING_COMPONENT");
%>
	<div id="background"> 
    <div id="backgroundlogo">  
    	<div id="header">
	    	<div id="logotitle">
	    	</div> 
	    	<div id="menubar"> 
	        <console:baseMenu/>
	        <div id="title">
	        	<console:label id="bindingComponentList"/>
	        </div>
	        <console:logoutMenu/>
			</div>
		</div>

	<div id="mainContainer">
	<div id=processContainer>
		<div id="bindingComponentList">
		<a href="#" onclick="navigateBindingComponentList('<%=Constants.FIRST_PAGE%>');return false;"><input type='image' src='<%=docBase%>/images/console/navigation/control_rewind_blue.png' name='back' title='<console:label id="firstPage"/>' /></a>
		<a href="#" onclick="navigateBindingComponentList('<%=Constants.PREV_PAGE%>');return false;"><input type='image' src='<%=docBase%>/images/console/navigation/control_back_blue.png' name='back' title='<console:label id="previousPage"/>' /></a>
		<% if (bindingComponentList.size()==Constants.sizeBindingComponentList) {%>
			<a id="nextPage" href="#" onclick="navigateBindingComponentList('<%=Constants.NEXT_PAGE%>');return false;"><input type='image' src='<%=docBase%>/images/console/navigation/control_play_blue.png' name='back' title='<console:label id="nextPage"/>' /></a>
		<%} %>	
		<div class="widget_tableDiv">
		<table id="myTable">
			<thead>
				<tr>
					<td><console:label id="bindingComponent"/></td>
					<td><console:label id="msgReceived"/></td>
					<td><console:label id="msgSent"/></td>
					<td><console:label id="msgWait"/></td>
					<td><console:label id="msgErrors"/></td>					
				</tr>
			</thead>
			<tbody class="scrollingContent">
			<%	SourceBean bindingComponent;
				long bindingComponentId,receivedMsg, sentMsg, waitingMsg, errorMsg;
				String bindingComponentName = null;
				if (bindingComponentList != null){
					for (int index=0; index<bindingComponentList.size();index++) {
						bindingComponent = (SourceBean)bindingComponentList.get(index);
						bindingComponentId = (Long)bindingComponent.getAttribute("id"); 
						bindingComponentName = (String)bindingComponent.getAttribute("name");
						receivedMsg = (Long)bindingComponent.getAttribute("received");
						sentMsg = (Long)bindingComponent.getAttribute("sent");
						waitingMsg = (Long)bindingComponent.getAttribute("waiting");
						errorMsg = (Long)bindingComponent.getAttribute("error");
			%>
				<tr>
				<td><%=bindingComponentName%></td>
				<td>
				<%if (receivedMsg != 0){%>
					<a href="#" onclick="showMessages(<%=bindingComponentId%>, '<%=Constants.INPUT_MSG_TYPE %>')">
				<%}%><%=receivedMsg%>
				<%if (receivedMsg != 0){%></a><%}%>
				</td>
				<td>
				<%if (sentMsg != 0){%>
					<a href="#" onclick="showMessages(<%=bindingComponentId%>, '<%=Constants.OUTPUT_MSG_TYPE %>')">
				<%}%><%=sentMsg%>
				<%if (sentMsg != 0){%></a><%}%>
				</td>
				<td><%=waitingMsg%></td>
				<td>
				<%if (errorMsg != 0){%>
				<a href="#" onclick="showMessages(<%=bindingComponentId%>, '<%=Constants.ERROR_MSG_TYPE%>')">
				<%}%><%=errorMsg%>
				<%if (errorMsg != 0){%></a><%}%>				
				</td>
				</tr>
			<%		}
				} 
			%>
		</tbody>
		</table>
		</div>
		</div>
	</div><!-- End processContainer -->
	</div>
</div>
</div>
</body>
</html>