<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"
	language="java"
	extends="it.eng.spago.dispatching.httpchannel.AbstractHttpJspPage"
	import="it.eng.console.util.Constants, it.eng.spago.base.SourceBean, 
			java.util.List, java.util.ArrayList, java.util.Iterator, 
			org.spagic.metadb.base.ProcessInstanceStateConstants, it.eng.console.audit.bean.RestartedBeanFE"
	session="true"
	errorPage="/jsp/spago/jspError.jsp"
%>
<%@ taglib uri="consoletags" prefix="console"%>
<html xmlns="http://www.w3.org/1999/xhtml">
<%@include file="listBase.jsp"%>
<head>
<title>Spagic Console</title>
</head>
<body onload="init()">
<% 	
		SourceBean serviceResponse = getResponseContainer(request).getServiceResponse();
		ArrayList listRestartedBean = null;
		if(serviceResponse.getAttribute("RestartedInstancesPaginatorModuleBis") != null)
			listRestartedBean = (ArrayList)serviceResponse.getAttribute("RestartedInstancesPaginatorModuleBis.restartedBeanFE");
		else 
			listRestartedBean = (ArrayList)serviceResponse.getAttribute("RestartedInstancesPaginatorModule.restartedBeanFE");
%>
<script>
	function init(){				
		initTableWidget('myTable',800,365,Array(false,false,false,false,false,false,false),'true');
	}
	
	function back() {
	<%
		String url;
		if(serviceResponse.getAttribute("RestartedInstancesPaginatorModuleBis") == null) 
			url= docBase + "/ProcessSearchAction.action?restart=TRUE";
		else 
			url= docBase + "/MessagesSearchAction.action";
	%>
		window.location = "<%=url%>";
	}
	
	function showProcessInstanceGraph(processInstanceId, processId){
		url = "<%=docBase%>" + "/ProcessGraphAction.action?processInstanceId=" + processInstanceId + "&processId=" + processId;
		<%if(serviceResponse.getAttribute("RestartedInstancesPaginatorModuleBis") == null) {%>
			url = url + "&showRestarted=TRUE";
		<%} else{ %>
			url = url + "&showRestartedMsg=TRUE";
		<%}%>
		window.location = url;
	}
	
	function navigateProcessList(page){
		<%if(serviceResponse.getAttribute("RestartedInstancesPaginatorModuleBis") == null) {%>
			url = "<%=docBase%>" + "/ProcessInstanceListByParametersPage.page?PAGE_CMD=" + page + "&restartAll=TRUE";
		<%} else{ %>
			url = "<%=docBase%>" + "/MessagesListPage.page?PAGE_CMD=" + page + "&restartMsg=TRUE";
		<%}%>
		window.location = url;
	}
	
</script>
	<div id="background"> 
    <div id="backgroundlogo">  
    	<div id="header">
	    	<div id="logotitle">
	    	</div> 
	    	<div id="menubar"> 
	        <console:baseMenu/>
	        <div id="title">
	        	<console:label id="restartedInstancesList"/>
	        </div>
	        <console:backMenu position="-1"/>
	        <console:logoutMenu/>
			</div>
		</div>

		<div id="mainContainer">
		<div id="processContainer">
			<div id="processList" style="left:20px;">
			<a href="#" onclick="navigateProcessList('<%=Constants.FIRST_PAGE%>');return false;"><img src="<%=docBase%>/images/console/navigation/control_rewind_blue.png" alt="First Page"></a>
			<a href="#" onclick="navigateProcessList('<%=Constants.PREV_PAGE%>');return false;"><img src="<%=docBase%>/images/console/navigation/control_back_blue.png" alt="Previous Page"></a>
			<% if (listRestartedBean.size()==Constants.sizeProcessInstanceListFiltered ) {%>
				<a id="nextPage" href="#" onclick="navigateProcessList('<%=Constants.NEXT_PAGE%>');return false;"><img src="<%=docBase%>/images/console/navigation/control_play_blue.png" alt="Next Page"></a>
			<%} %>
			<div class="widget_tableDiv">
			<table id="myTable">
				<thead>
					<tr>
						<td colspan="4"><console:label id="originalProcesses"/></td>
						<td colspan="3"><console:label id="restartedProcesses"/></td>
					</tr>
					<tr>
						<td><console:label id="process"/></td>
						<td><console:label id="idOriginal"/></td>
						<td><console:label id="state"/></td>
						<td></td>
						<td><console:label id="idRestarted"/></td>
						<td><console:label id="messageRestarted"/></td>
						<td></td>
					</tr>
				</thead>
				<tbody id="processListTable" class="scrollingContent">
				<%
					if(listRestartedBean.size()>0) {
						RestartedBeanFE beanFE = null;
						for(int index=0; index<listRestartedBean.size(); index++) {
							beanFE = (RestartedBeanFE)listRestartedBean.get(index);
					%>
					<tr>
					<td><%=beanFE.getProcess()%></td>
					<td><%=beanFE.getIdOriginal()%></td>
					<td>		
					<%
					int stato = beanFE.getState();
					if(stato == ProcessInstanceStateConstants.PROCESS_ACTIVE){%>
						<img src="<%=docBase%>/images/console/wait.png" alt="Running"/>
					<%}else if(stato == ProcessInstanceStateConstants.PROCESS_WARNING){%> 
						<img src="<%=docBase%>/images/console/warning.png" alt="Warning"/>	
					<%}else if(stato == ProcessInstanceStateConstants.PROCESS_DONE){%> 
						<img src="<%=docBase%>/images/console/executed.png" alt="Executed"/>	
					<%}else {%>
						<img src="<%=docBase%>/images/console/fault.png" alt="Faulted"/>
					<%} 
					if (beanFE.isInstanceOriginalRestarted()) {%>
						<img src="<%=docBase%>/images/console/lightning.png" alt="Restarted"/>	
					<% }%>
					</td>
					<td><a href="#" onclick="showProcessInstanceGraph(<%=beanFE.getIdOriginal()%>, <%=beanFE.getProcessId()%>);return false;"><img src="<%=docBase%>/images/console/graph.gif"/></a></td>
					<td>
					<%if (beanFE.getIdRestarted() != -1){%>
					<%=beanFE.getIdRestarted()%>
					<%}%>
					</td>
					<td><%=beanFE.getMessage()%>&nbsp;</td>
					<td>
					<%if (beanFE.getIdRestarted() != -1){%>
					<a href="#" onclick="showProcessInstanceGraph(<%=beanFE.getIdRestarted()%>, <%=beanFE.getProcessId()%>);return false;"><img src="<%=docBase%>/images/console/graph.gif"/></a>
					<%} %>
					</td>
					</tr>
					<%}
					} else {%>
					<tr>
					<td></td><td></td><td></td><td></td><td></td><td></td><td></td>
					</tr>
					<%} %>
				</tbody>
			</table>
			</div>
			</div>
			
		</div> <!-- End processContainer -->
		</div>
	</div>
</div>	
</body>
</html>
