package it.eng.console.audit.action;

import java.util.List;

import it.eng.console.audit.bo.ProcessInstanceBO;
import it.eng.spago.base.SessionContainer;
import it.eng.spago.base.SourceBean;

public class LinkedProcessesListAction extends ProcessInstanceListFilteredAction {
	private String _stepId = null;
	private String _processInstanceId = null;
	
	public void service(SourceBean serviceRequest, SourceBean serviceResponse)
			throws Exception {
		loadParametersFromRequest(serviceRequest);
		SourceBean processBeanList = new SourceBean("LIST");
		SessionContainer sessionContainer = getRequestContainer().getSessionContainer();
		
		List linkedProcessesList = ProcessInstanceBO.getLinkedProcessesList(Long.parseLong(_processInstanceId));
		//create response
		for(Object subprocessInstance : linkedProcessesList) {
			processBeanList.setAttribute(createProcessInstanceBean((List)subprocessInstance, sessionContainer));	
		} 
		serviceResponse.setAttribute(processBeanList);
		
	}
	
	private void loadParametersFromRequest(SourceBean request) {
		_processInstanceId = (String)request.getAttribute("processInstanceId");
	}

}
