package it.eng.console.audit.action;

import it.eng.console.util.Constants;
import it.eng.spago.base.SessionContainer;
import it.eng.spago.base.SourceBean;
import it.eng.spago.dispatching.action.AbstractAction;

public abstract class ListAction extends AbstractAction {

	protected int getRequestPage(SourceBean request, SessionContainer session, String label) {
		String pageFromRequest = (String)request.getAttribute(Constants.PAGE);
		int page = 0;
		if(pageFromRequest == null || pageFromRequest.equalsIgnoreCase(Constants.FIRST_PAGE))
			page = 0;
		else if(pageFromRequest.equalsIgnoreCase(Constants.PREV_PAGE)) {
			page = ((Integer)session.getAttribute(label)).intValue() - 1;
			page = (page < 0) ? 0 : page;
		} else if(pageFromRequest.equalsIgnoreCase(Constants.NEXT_PAGE)) 
			page = ((Integer)session.getAttribute(label)).intValue() + 1;
		else if(pageFromRequest.equalsIgnoreCase(Constants.LAST_PAGE)) 
			page = Constants.LAST_PAGE_VALUE;
		else if(pageFromRequest.equalsIgnoreCase(Constants.CURRENT_PAGE)) 
			page =(Integer)session.getAttribute(label);
		
		session.setAttribute(label, page);
		return page;
	}

}
