<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"
	language="java"
	extends="it.eng.spago.dispatching.httpchannel.AbstractHttpJspPage"
	import="it.eng.console.util.Constants, it.eng.spago.base.SourceBean, 
			java.util.List, java.util.Iterator,it.eng.spago.message.MessageBundle"
	session="true"
	errorPage="/jsp/spago/jspError.jsp"
%>

<%@ taglib uri="spagotags" prefix="spago"%>
<%@ taglib uri="consoletags" prefix="console"%>
<%@page import="it.eng.spago.message.MessageBundle"%>
<html xmlns="http://www.w3.org/1999/xhtml">
<%@include file="listBase.jsp"%>
<body onload="init()">
<spago:error/>
<% 	
		SourceBean serviceResponse = getResponseContainer(request).getServiceResponse();
		List queryList = getServiceResponse(request).getAttributeAsList("PROCESSINSTANCELISTREEXECUTEMODULE.LISTQUERY.ITEM");
		boolean reExecute = true;
		String idQuery = (String)serviceResponse.getAttribute("PROCESSINSTANCELISTREEXECUTEMODULE."+Constants.LBL_ID_QUERY);
		SourceBean listBean = (SourceBean)serviceResponse.getAttribute("PROCESSINSTANCELISTREEXECUTEMODULE.LIST");
		
		
%>
<script>
	
	var ajaxObjects = new Array();
	
	function init(){
		initTableWidget('myTable',800,450,Array(false,false,false,false,false,false,false,false,false));
		checkError();
	}

	function navigateProcessList(page){
		//In base al Parametro re-execute l'url sar diversa
		var url = "<%=docBase%>" + "/ProcessInstanceListByQueryPage.page?PAGE_CMD=" + page+"&<%=Constants.LBL_ID_QUERY%>=<%=idQuery%>&<%=Constants.LBL_FROM_HOME%>=true";
		window.location = url;
	}
	
	function reloadProcessList(){
		var idQuery = document.getElementById("selectedQuery").value; 
		var url = "<%=docBase%>" + "/ProcessInstanceListByQueryPage.page?"+"<%=Constants.LBL_ID_QUERY%>="+idQuery+"&<%=Constants.LBL_FROM_HOME%>=true&reExecuteQuery=TRUE";
		window.location = url;
	}
	
		
	function showProcessInstanceGraph(processInstanceId, processId, advancedSearch){
		var loc = "<%=docBase%>" + "/ProcessGraphAction.action?processInstanceId=" + processInstanceId + "&processId=" + processId + "&advancedSearch=" +advancedSearch;
		<%if(reExecute){ %>
			window.location = loc +"&reExecuteQuery=true&"+"<%=Constants.LBL_ID_QUERY%>"+"="+"<%=idQuery%>&<%=Constants.LBL_FROM_HOME%>=true";  
		<%}else{%>
			window.location = loc;
		<%}%>	
	}

	
</script>

<div id="background"> 
    <div id="backgroundlogo">  
    	<div id="header">
	    	<div id="logotitle">
	    	</div> 
	    	<div id="menubar"> 
	        	<console:baseMenu/>
	        	<% if(listBean!=null && listBean.getAttributeAsList("ITEM").size()>0){ %>
		        	<div id="title">
		        		<console:label id="processInstanceList"/>
		        	</div>
	        	<%} %>
	        	<console:logoutMenu/>
			</div>
		</div>
		<div id="mainContainer">
		<% if(listBean!=null && listBean.getAttributeAsList("ITEM").size()>0){ %>
			<!--div id="fieldsetContainer"-->
				<table>
					<tr>
						<td>
							<label for="selectedQuery">
								<console:label id="selectedQuery"/>
							</label>
						</td>
						<td>
							<%	SourceBean query;
								Long queryId;
								String label;
								
								if (queryList != null && queryList.size()>0){%>
									<select name ="selectedQuery" id="selectedQuery" onchange="reloadProcessList()">
									<%for (int indexQuery=0; indexQuery<queryList.size();indexQuery++) {
										query = (SourceBean)queryList.get(indexQuery);
										queryId = (Long)query.getAttribute("id_query");
										label = (String)query.getAttribute("label");%>
										<option value="<%=queryId%>" <%=(queryId.equals(new Long(idQuery)) ? "selected=selected" : "") %>>
											<%=label%></option> 
									<%}%>
									</select>
								<%}
							%>
						</td>	
					</tr>
				</table>
			<!--/div-->		
			
			<div id="processContainer">
				<!--div id="processFilteredList"-->
				<a href="#" onclick="navigateProcessList('<%=Constants.FIRST_PAGE%>');return false;"><img src="<%=docBase%>/images/console/navigation/control_rewind_blue.png" alt="First Page"></a>
				<a href="#" onclick="navigateProcessList('<%=Constants.PREV_PAGE%>');return false;"><img src="<%=docBase%>/images/console/navigation/control_back_blue.png" alt="Previous Page"></a>
				<% if (listBean.getAttributeAsList("ITEM").size()==Constants.sizeProcessInstanceListFiltered ) {%>
					<a id="nextPage" href="#" onclick="navigateProcessList('<%=Constants.NEXT_PAGE%>');return false;"><img src="<%=docBase%>/images/console/navigation/control_play_blue.png" alt="Next Page"></a>
				<%} %>
				<div class="widget_tableDiv">
				<table id="myTable">
					<thead>
						<tr>
							<td><console:label id="id"/></td>
							<td><console:label id="process"/></td>
							<td><console:label id="iter"/></td>
							<td><console:label id="instance"/></td>
							<td><console:label id="organization"/></td>
							<td><console:label id="startProcess"/></td>
							<td><console:label id="endProcess"/></td>
							<td><console:label id="state"/></td>
						<td></td>				
						</tr>					
					</thead>
					<tbody id="processListTable" class="scrollingContent">
					<console:processInstanceList listPath="PROCESSINSTANCELISTREEXECUTEMODULE.LIST" advancedSearch="<%=true%>" restart="<%=false%>"/>
					</tbody>
				</table>
				</div>
				<!--/div-->
				
			</div> <!-- End processContainer -->
		
		<%}else{ %>
			<table><tr><td><%=MessageBundle.getMessage("noPreferedQueryToExecute", "properties.spagic")%></td></tr></table>
		<%} %>
		</div><!-- end Main container -->
	</div><!-- div background logo -->
</div><!-- div background -->
</body>
</html>